diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NameConstraintsExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NameConstraintsExt.java
index 41a11c59b38b7136bc8aff678f75da266bd2b91c..84f16a615f89c112d5b8cf2fc34b7b7621a01855 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/NameConstraintsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/NameConstraintsExt.java
@@ -15,25 +15,26 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/OCSPNoCheckExt.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/OCSPNoCheckExt.java
index 1cb60a72b28756c6224cd6678835802682de3aac..95279b522dd0f7b5e2bdc5b0c2f15cd05909a12c 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/OCSPNoCheckExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/OCSPNoCheckExt.java
@@ -15,23 +15,24 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.extensions.OCSPNoCheckExtension;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyConstraintsExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyConstraintsExt.java
index 1d5b3cac3f950e8a04663c5888ec686c3ff109b2..1be149caf166cc2fc11151f7482cf9c1301648a0 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/PolicyConstraintsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyConstraintsExt.java
@@ -15,24 +15,25 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyMappingsExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyMappingsExt.java
index 5e20a2d26ceb88c156d6c30aa34a421590786c3e..a8f7db30d6c48672f31c0a518f935ccf15702e22 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/PolicyMappingsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PolicyMappingsExt.java
@@ -15,24 +15,25 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.util.ObjectIdentifier;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/PresenceExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PresenceExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/PresenceExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PresenceExt.java
index 3b2502f4fdf24a012c8b64c318418621fcb67086..780b69ce4e892253c8b023331d8a51d493f7fd95 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/PresenceExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PresenceExt.java
@@ -15,18 +15,19 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 /**
  * Checks extension presence.
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PrivateKeyUsagePeriodExt.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PrivateKeyUsagePeriodExt.java
index 17a772e2c8fb1c227f581fe76db1b0dcd8cef14a..c34c8642cc46610aea734bb480eb795a5c11af05 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/PrivateKeyUsagePeriodExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/PrivateKeyUsagePeriodExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -24,17 +24,18 @@ import java.util.Date;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/RemoveBasicConstraintsExt.java
similarity index 96%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/RemoveBasicConstraintsExt.java
index f9aca133d64107c4a51b2a5c1ac7a778f2ecc1a6..d55cfbb95775e6d1f249956b6086bf9a8e02b5cd 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/RemoveBasicConstraintsExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/RemoveBasicConstraintsExt.java
@@ -15,22 +15,23 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.BasicConstraintsExtension;
 import netscape.security.x509.CertificateExtensions;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjAltNameExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjAltNameExt.java
index 1e06b5dd4024ca88fa0cffcb7203ff98b842c641..22002457f89b79f3b9faf6e42f9438f70a57784e 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjAltNameExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjAltNameExt.java
@@ -15,13 +15,16 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authentication.IAuthToken;
 import com.netscape.certsrv.base.EBaseException;
@@ -29,10 +32,8 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectAltNameExt.java
similarity index 97%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectAltNameExt.java
index 3634cc6293887503fd0d261ea912fb166f673153..a6ea5164c55aa5df3fc4e28309a2a9231d5a91f1 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectAltNameExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectAltNameExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,19 +23,20 @@ import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IGeneralNameUtil;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IGeneralNameUtil;
-import com.netscape.certsrv.policy.IPolicyProcessor;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectDirectoryAttributesExt.java
similarity index 99%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectDirectoryAttributesExt.java
index f939c3675c78fe60ee4a4a9361ffe9353ad30528..a667108b863bda4cc6c31bce1ec17645196feee6 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.cert.CertificateException;
@@ -23,16 +23,17 @@ import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.util.DerValue;
 import netscape.security.util.ObjectIdentifier;
diff --git a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectKeyIdentifierExt.java
similarity index 98%
rename from base/server/cms/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
rename to base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectKeyIdentifierExt.java
index 1144f8bad0f30a167588999988ce0c7197ae5a2c..9b5ce8c16bd6eb5246be0d6950e825c51faf3a56 100644
--- a/base/server/cms/src/com/netscape/cms/policy/extensions/SubjectKeyIdentifierExt.java
+++ b/base/server/cms/src/org/dogtagpki/legacy/server/policy/extensions/SubjectKeyIdentifierExt.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cms.policy.extensions;
+package org.dogtagpki.legacy.server.policy.extensions;
 
 import java.io.IOException;
 import java.security.MessageDigest;
@@ -24,18 +24,19 @@ import java.security.cert.CertificateException;
 import java.util.Locale;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.server.policy.APolicyRule;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IExtendedPluginInfo;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
-import com.netscape.cms.policy.APolicyRule;
 
 import netscape.security.x509.CertificateExtensions;
 import netscape.security.x509.CertificateVersion;
diff --git a/base/server/cmscore/src/com/netscape/cmscore/apps/CMSEngine.java b/base/server/cmscore/src/com/netscape/cmscore/apps/CMSEngine.java
index c62087e92198d5319d195395a5e2310442780a40..e37ba25e0446108e266a1b068a7ba2a6e60fb769 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/base/server/cmscore/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -47,6 +47,11 @@ import javax.servlet.http.HttpServlet;
 
 import org.apache.commons.lang.StringUtils;
 import org.apache.xerces.parsers.DOMParser;
+import org.dogtagpki.legacy.core.policy.GeneralNameUtil;
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
 import org.mozilla.jss.CryptoManager;
 import org.mozilla.jss.CryptoManager.CertificateUsage;
 import org.mozilla.jss.crypto.CryptoToken;
@@ -106,10 +111,6 @@ import com.netscape.certsrv.notification.IEmailResolverKeys;
 import com.netscape.certsrv.notification.IEmailTemplate;
 import com.netscape.certsrv.notification.IMailNotification;
 import com.netscape.certsrv.password.IPasswordCheck;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.certsrv.profile.IEnrollProfile;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
@@ -152,7 +153,6 @@ import com.netscape.cmscore.notification.EmailFormProcessor;
 import com.netscape.cmscore.notification.EmailResolverKeys;
 import com.netscape.cmscore.notification.EmailTemplate;
 import com.netscape.cmscore.notification.ReqCertSANameEmailResolver;
-import com.netscape.cmscore.policy.GeneralNameUtil;
 import com.netscape.cmscore.registry.PluginRegistry;
 import com.netscape.cmscore.request.CertRequestConstants;
 import com.netscape.cmscore.request.RequestSubsystem;
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/AndExpression.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/AndExpression.java
similarity index 92%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/AndExpression.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/AndExpression.java
index e6e5b496c3dbe0923b550f2ea88411c505b20b36..482ed525109903a6fdc72623294c72ea752f4392 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/AndExpression.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/AndExpression.java
@@ -15,10 +15,11 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
+
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IExpression;
 
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IExpression;
 import com.netscape.certsrv.request.IRequest;
 
 /**
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/GeneralNameUtil.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GeneralNameUtil.java
similarity index 98%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/GeneralNameUtil.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GeneralNameUtil.java
index 6bd60e0093da4b7a29398a745f41db51c8fa6a23..8296f7f6e0b40b525b1f149fa3ffae52d381613b 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/GeneralNameUtil.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GeneralNameUtil.java
@@ -15,7 +15,7 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
 
 import java.io.ByteArrayInputStream;
 import java.io.IOException;
@@ -23,16 +23,17 @@ import java.util.Enumeration;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.IGeneralNameAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNameConfig;
+import org.dogtagpki.legacy.policy.IGeneralNameUtil;
+import org.dogtagpki.legacy.policy.IGeneralNamesAsConstraintsConfig;
+import org.dogtagpki.legacy.policy.IGeneralNamesConfig;
+import org.dogtagpki.legacy.policy.ISubjAltNameConfig;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.EPropertyNotFound;
 import com.netscape.certsrv.base.IConfigStore;
-import com.netscape.certsrv.policy.IGeneralNameAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNameConfig;
-import com.netscape.certsrv.policy.IGeneralNameUtil;
-import com.netscape.certsrv.policy.IGeneralNamesAsConstraintsConfig;
-import com.netscape.certsrv.policy.IGeneralNamesConfig;
-import com.netscape.certsrv.policy.ISubjAltNameConfig;
 import com.netscape.cmscore.util.Debug;
 import com.netscape.cmsutil.util.Utils;
 
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GenericPolicyProcessor.java
similarity index 99%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GenericPolicyProcessor.java
index 2a37e71f4c0fddfa4569e061f64761127c9a450f..44506e6ff5be5b869805c771da394d56f150a929 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/GenericPolicyProcessor.java
@@ -15,13 +15,24 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
 
 import java.util.Enumeration;
 import java.util.Hashtable;
 import java.util.StringTokenizer;
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IEnrollmentPolicy;
+import org.dogtagpki.legacy.policy.IExpression;
+import org.dogtagpki.legacy.policy.IKeyArchivalPolicy;
+import org.dogtagpki.legacy.policy.IKeyRecoveryPolicy;
+import org.dogtagpki.legacy.policy.IPolicyProcessor;
+import org.dogtagpki.legacy.policy.IPolicyRule;
+import org.dogtagpki.legacy.policy.IPolicySet;
+import org.dogtagpki.legacy.policy.IRenewalPolicy;
+import org.dogtagpki.legacy.policy.IRevocationPolicy;
+
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.authority.IAuthority;
 import com.netscape.certsrv.base.EBaseException;
@@ -29,16 +40,6 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.ISubsystem;
 import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IEnrollmentPolicy;
-import com.netscape.certsrv.policy.IExpression;
-import com.netscape.certsrv.policy.IKeyArchivalPolicy;
-import com.netscape.certsrv.policy.IKeyRecoveryPolicy;
-import com.netscape.certsrv.policy.IPolicyProcessor;
-import com.netscape.certsrv.policy.IPolicyRule;
-import com.netscape.certsrv.policy.IPolicySet;
-import com.netscape.certsrv.policy.IRenewalPolicy;
-import com.netscape.certsrv.policy.IRevocationPolicy;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
 import com.netscape.cmscore.base.PropConfigStore;
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/JavaScriptRequestProxy.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/JavaScriptRequestProxy.java
similarity index 93%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/JavaScriptRequestProxy.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/JavaScriptRequestProxy.java
index e9a7371d96145c7082582e0f17a6fed1f7dc528c..7b285b76ba43fe5bcf6b866acf818e781339b98c 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/JavaScriptRequestProxy.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/JavaScriptRequestProxy.java
@@ -15,9 +15,10 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
+
+import org.dogtagpki.legacy.policy.IPolicyRule;
 
-import com.netscape.certsrv.policy.IPolicyRule;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.PolicyResult;
 
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/OrExpression.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/OrExpression.java
similarity index 93%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/OrExpression.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/OrExpression.java
index 7da07a8bcf92a0735d825b06aa41a971cc1e1a9b..3615a177b87f07143db5bda8eb937e9b53e792f0 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/OrExpression.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/OrExpression.java
@@ -15,10 +15,11 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
+
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IExpression;
 
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IExpression;
 import com.netscape.certsrv.request.IRequest;
 
 /**
diff --git a/base/server/cmscore/src/com/netscape/cmscore/policy/PolicyPredicateParser.java b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicyPredicateParser.java
similarity index 98%
rename from base/server/cmscore/src/com/netscape/cmscore/policy/PolicyPredicateParser.java
rename to base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicyPredicateParser.java
index 08f74e2f58edd07cc03dbae076af1d1da17685ef..b681be702b369b1ec00178ee10a678ce75bbe711 100644
--- a/base/server/cmscore/src/com/netscape/cmscore/policy/PolicyPredicateParser.java
+++ b/base/server/cmscore/src/org/dogtagpki/legacy/core/policy/PolicyPredicateParser.java
@@ -15,13 +15,14 @@
 // (C) 2007 Red Hat, Inc.
 // All rights reserved.
 // --- END COPYRIGHT BLOCK ---
-package com.netscape.cmscore.policy;
+package org.dogtagpki.legacy.core.policy;
 
 import java.util.Vector;
 
+import org.dogtagpki.legacy.policy.EPolicyException;
+import org.dogtagpki.legacy.policy.IExpression;
+
 import com.netscape.certsrv.apps.CMS;
-import com.netscape.certsrv.policy.EPolicyException;
-import com.netscape.certsrv.policy.IExpression;
 import com.netscape.cmscore.util.Debug;
 
 /**
